petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSRHSJacobianTestTranspose

Compares the multiply transpose routine provided to the MATSHELL with differencing on the TS given RHS function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSRHSJacobianTestTranspose(TS ts,PetscBool *flg)

Logically Collective on TS and Mat

### Input Parameters

TS - the time stepping routine

### Output Parameter

flg -PETSC_TRUE if the multiply is likely correct

### Options Database

-ts_rhs_jacobian_test_mult_transpose -mat_shell_test_mult_transpose_view - run the test at each timestep of the integrator

### Notes

This only works for problems defined only the RHS function and Jacobian NOT IFunction and IJacobian

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation(), MatShellTestMultTranspose(), TSRHSJacobianTest()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages